


/*------------------------------------*\
  # MEDICAL DEPARTMENTS
\*------------------------------------*/

.section-medical-departments{
    display: flex;
    flex-wrap: wrap;
    gap: 60px;
    justify-content: center;
}
.medical-department-item-wrapper{
    width: calc(33% - 120px / 3);
    max-width: 450px;
    min-width: 193px;
    position: relative;
    display: block;
    padding: 40px 40px 10px 40px;
    background-color: var(--denipol-foreground-secondary);
    transition: 250ms background-color ease-out;
}
.medical-department-item-wrapper:hover{
    background-color: var(--denipol-foreground-secondary-hover);
}
.medical-department-info{
    padding-top: 10px;
    text-align: center;
    color: var(--denipol-darkblue);
    font-size: .9rem;
}
.medical-department-info .department{
    font-weight: bold;
    color: var(--denipol-red);
    display: block;
    font-size: 1.25rem;
}
.medical-department-info .description{
    color: #6F6F6F;
}
.medical-department-img{
    position: relative;
    width: 100%;
    aspect-ratio: 8 / 10;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
.medical-department-img img{
    width: 100%;
    height: 100%;
    max-width: unset;
    max-height: unset;
    object-fit: cover;
    transition: 500ms;
    transition-timing-function: var(--ease-circ);
}
.medical-department-item-wrapper:hover img{
    width: 115%;
    height: 115%;
}
.medical-department-img .inspect{
    position: absolute;
    bottom: 0;
    left: 0;
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    padding: 20px;
    align-items: end;
    opacity: 0;
    overflow: hidden;
    pointer-events: none;
    transition: 300ms all;
    background-image: url('../../img/denipol-logo-small.png');
    background-repeat: no-repeat;
    background-size: 180px;
    background-position: center;
    transition-timing-function: var(--ease-circ);
    color: #fff;
}
.medical-department-item-wrapper:hover .inspect{
    pointer-events: all;
    opacity: 1;
    background-color: rgba(5,59,98,0.8);
}
.doctor-img-buttons > *{
    display: flex;
    height: fit-content;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    color: #fff;
    opacity: 0;
    transform: translateY(50px);
    transition: 500ms transform 100ms;
    transition-timing-function: var(--ease-elastic);
    cursor: pointer;
}
.doctor-item-wrapper:hover .doctor-img-buttons > *{
    opacity: 1;
    transform: translateY(0);
}
.doctor-img-buttons > *:hover img{
    filter: brightness(0) saturate(100%) invert(57%) sepia(47%) saturate(535%) hue-rotate(137deg) brightness(90%) contrast(92%);
}
.doctor-img-buttons > *:hover{
    color: var(--denipol-turquoise-hover) !important;
}